uniform mat4 world_matrix;//+0
uniform vec4 fog_params;//+31
varying vec2 ouv;
varying vec4 opos_w;
varying float vfogf;

void main()
{
ouv = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
opos_w=world_matrix*gl_Vertex;
gl_Position = ftransform();
if (fog_params.z > 0) vfogf = min(gl_Position.z * fog_params.w,1);
}