uniform mat4 world_matrix;//+0
uniform mat4 viewproj_matrix;//+16
uniform sampler2D alt;//0
uniform float height;//64
uniform float heightdec;//230
uniform float lng;//512
uniform float r;//8

varying vec4 vposw;
varying vec2 vuv0;
varying vec2 vuv1;
varying float vdist;;

void main()//0
{
vposw=world_matrix*gl_Vertex;
vuv0=(vposw.xz/r+0.25)/lng;
vuv1=(vposw.xz+0.25)/lng;
float tx0=texture(alt,vuv0).w-0.5;
float tx1=texture(alt,vuv1).w-0.5;
vposw.y=(tx0*r + tx1)*height+heightdec;
gl_Position = viewproj_matrix*vposw;
vdist=abs(gl_Position.z);
}